> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mettre à jour un article

> Met à jour un article.

Met à jour un article.

```json Corps de la requête theme={null}
{
  "name": "Came PEEK Ø40",
  "sellingPrice": 92
}
```


## OpenAPI

````yaml openapi.json PUT /articles/{id}
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /articles/{id}:
    put:
      summary: Update an article
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: _"id" is required as part of the path_
          in: path
          name: id
          required: true
          schema:
            type: integer
        - in: query
          name: name
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                id:
                  nullable: false
                  type: integer
                name:
                  nullable: true
                  type: string
                sellingPrice:
                  $ref: '#/components/schemas/numeric'
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  updateArticlesByPk:
                    description: >-
                      Articles with physical reality (= manage-able in stock).
                      This table includes all article types (raw materials,
                      semi-finished, finished products, consumables, etc.)
                    nullable: true
                    properties:
                      code:
                        nullable: true
                        type: string
                      id:
                        nullable: false
                        type: integer
                      name:
                        nullable: false
                        type: string
                      sellingPrice:
                        $ref: '#/components/schemas/numeric'
                    type: object
          description: Response
components:
  schemas:
    numeric:
      nullable: false

````